Subject: [Bier] Alexey Melnikov's No Record on draft-ietf-bier-isis-extensions-07: (with COMMENT)

From: Alexey Melnikov <[email-masked]>
Date: Mon, 19 Feb 2018 10:38:48 -0800

Alexey Melnikov has entered the following ballot position for
draft-ietf-bier-isis-extensions-07: No Record

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bier-isis-extensions/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I find excessive use of unexpanded acronyms to be difficult for somebody not
versed in the technology.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 19 Feb 2018 19:05:06 +0000

Alexey -

> -----Original Message-----
> From: Alexey Melnikov [mailto:[email-masked]]
> Sent: Monday, February 19, 2018 10:39 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Hooman Bidgoli
> <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]
> Subject: Alexey Melnikov's No Record on draft-ietf-bier-isis-extensions-07:
> (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> I find excessive use of unexpanded acronyms to be difficult for somebody
> not versed in the technology.
> 
[Les:] Are you claiming that there are some acronyms which have not been expanded on first use? If so, please point them out and we will correct.
Or are you just saying you object to the use of acronyms?

   Les

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 20 Feb 2018 13:09:24 +0000

> [Les:] Are you claiming that there are some acronyms which have not been 
> expanded on first use? If so, please point them out and we will correct.

The first use of <MT,SD> and SPF is not explained (SPF explained on second use). Maybe it is obvious for people familiar with ISIS, but this makes reading harder for people like me.

> Or are you just saying you object to the use of acronyms?

No, that would be silly :-).

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 20 Feb 2018 15:10:40 +0000

Alexey -

Thanx for the clarifications.

Inline.

> Sent: Tuesday, February 20, 2018 5:09 AM

> To: Les Ginsberg (ginsberg) <[email-masked]>; The IESG <[email-masked]>

> <[email-masked]>; [email-masked]; [email-masked]

> Subject: Re: Alexey Melnikov's No Record on draft-ietf-bier-isis-extensions-

> 07: (with COMMENT)

> > > I find excessive use of unexpanded acronyms to be difficult for

> > > somebody not versed in the technology.

> > [Les:] Are you claiming that there are some acronyms which have not

> > been expanded on first use? If so, please point them out and we will

> correct.

> The first use of <MT,SD> and SPF is not explained (SPF explained on second

> use). Maybe it is obvious for people familiar with ISIS, but this makes reading

> harder for people like me.

[Les:] SPF we will correct.

As regards <MT,SD>, a similar comment was made by Meral as part of the GENART review. I replied:

[Les:] In Section 4.1 where we introduce the use of <MT,SD> here is what the text says (emphasis added):

“Within such a domain, the extensions defined in this document
   advertise BIER information for one or more BIER sub-domains.  Each
   sub-domain is uniquely identified by a subdomain-id.  Each subdomain
   is associated with a single ISIS topology [RFC5120], which may be any
   of the topologies supported by ISIS.  Local configuration controls
   which <MT,SD> pairs are supported by a router.”

Do you think further clarification as to the meaning of <MT,SD> is still needed??

Meral was satisfied with this.

???

   Les

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 20 Feb 2018 17:31:53 +0000

Hi Les,

> > To: Les Ginsberg (ginsberg) <[email-masked]>; The IESG
> > <[email-masked]>> > Cc: [email-masked]; Hooman Bidgoli

> > Subject: Re: Alexey Melnikov's No Record on draft-ietf-bier-isis-extensions-> > 07: (with COMMENT)

> > > > I find excessive use of unexpanded acronyms to be difficult for> > > > somebody not versed in the technology.

> > > [Les:] Are you claiming that there are some acronyms which
> > > have not> > > been expanded on first use? If so, please point them out and we
> > > will> > correct.

> > The first use of <MT,SD> and SPF is not explained (SPF explained on
> > second> > use). Maybe it is obvious for people familiar with ISIS, but this
> > makes reading> > harder for people like me.

> As regards <MT,SD>, a similar comment was made by Meral as part of the
> GENART review. I replied:>  

> **[Les:] In Section 4.1 where we introduce the use of <MT,SD> here is
> what the text says (emphasis added):**> ** **

> *“Within such a domain, the extensions defined in this document*

> *   advertise BIER information for one or more BIER sub-domains.
>     ***Each**> **   sub-domain is uniquely identified by a subdomain-id.***  Each
> subdomain*> *   is associated with a ***single ISIS topology [RFC5120],*** **which
>     may be any*> *   of the topologies supported by ISIS.  Local configuration
>     controls*> *   which <MT,SD> pairs are supported by a router.”*

> ** **

> Do you think further clarification as to the meaning of <MT,SD> is
Is SD == subdomain-id and MT == topology? If yes, maybe clarify this:

   Each sub-domain is uniquely identified by a subdomain-id (SD).
   Each subdomain
   is associated with a single ISIS topology [RFC5120], which may be any
   of the topologies supported by ISIS (MT).

?

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 20 Feb 2018 20:13:57 +0000

Alexey -

From: Alexey Melnikov [mailto:[email-masked]]
Sent: Tuesday, February 20, 2018 9:32 AM
To: Les Ginsberg (ginsberg) <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; Hooman Bidgoli <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Alexey Melnikov's No Record on draft-ietf-bier-isis-extensions-07: (with COMMENT)

Hi Les,

Alexey -

Inline.

> To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; The IESG <[email-masked]<mailto:[email-masked]>>

> Cc: [email-masked]<mailto:[email-masked]>; Hooman Bidgoli

> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

   Each sub-domain is uniquely identified by a subdomain-id (SD).  Each subdomain

?

[Les:] Only if you insist. ☺
The point of the quoted/highlighted text was to show that we explicitly explain that there is a “subdomain-id” and a “topology” identifier. For readers I don’t think it is much of a stretch to match that with <MT,SD> - which appears immediately after that.

However if you really think this is unclear/insufficient – then OK.

   Les

???

   Les